### Method

# Gio SettingsSchema has_key

since: 2.40

#### Declaration [src]

    gboolean
    g_settings_schema_has_key (
      GSettingsSchema* schema,
      const gchar* name
    )

#### Description [src]

Checks if `schema` has a key named `name`.

Available since: 2.40

#### Parameters

`name`

  Type: `const gchar*`

  The name of a key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if such a key exists.